body {
  font-family: Arial, sans-serif;
  background-color: #f3f1f1;
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  margin-top: -20px;
}


.container {
  width: 90%;
  max-width: 600px;
  background-color: #fff;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.divider {
  display: flex;
  align-items: center;
  justify-content: center;
}

.divider-line {
  flex-grow: 1;
  height: 1px;
  background-color: #ccc;
}

.divider-text {
  padding: 0 10px;
  color: #666;
}

@media screen and (max-width: 600px) {
  body {
    padding-top: 10px;
    padding-bottom: 10px;
    
  }
  
  .container {
    padding: 0px;
  }
}

h1 {
  text-align: center;
  color: #333;
}

h2 {
  margin-top: 10px;
  text-align: center;
  color: #666;
}


input {
  width: 100%;
  padding: 10px;
  margin-bottom: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}

button {
  display: block;
  width: 100%;
  padding: 10px;
  margin-bottom: 10px;
  background-color: #333;
  color: #fff;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

button:hover {
  background-color: #555;
}

#tokens {
  margin-top: 20px;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
  max-height: 800px;
  overflow: auto;
  overflow-wrap: anywhere;
}

/* Add these styles for the modal */
.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
  background-color: #fefefe;
  margin: 15% auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  max-width: 400px;
}

@media screen and (max-width: 768px) {
  /* Adjust styles for smaller screens */
  .container {
    width: 90%;
    margin: 0 auto; /* Center the container horizontally */
    padding: 10px;
  }

  input,
  button {
    width: 100%;
  }

  .modal-content {
    width: 90%;
    max-width: 90%;
  }
}

.button-loading {
  position: relative;
}

.button-loading::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 20px;
  height: 20px;
  border: 2px solid #ccc;
  border-radius: 50%;
  border-top-color: #333;
  animation: spin 0.6s linear infinite;
}

@keyframes spin {
  0% {
    transform: translate(-50%, -50%) rotate(0deg);
  }
  100% {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}
